Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class XMLCharacterRecognizer

    java.lang.Object
      |
      +--org.apache.xalan.utils.XMLCharacterRecognizer

public class XMLCharacterRecognizer
extends java.lang.Object

Constructor Summary
`XMLCharacterRecognizer()`

Method Summary
`static boolean` | `isWhiteSpace(char ch)` Returns whether the specified ch conforms to the XML 1.0 definition of whitespace.
`static boolean` | `isWhiteSpace(char[] ch, int start, int length)` Tell if the string is whitespace.
`static boolean` | `isWhiteSpace(java.lang.StringBuffer buf)` Tell if the string is whitespace.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLCharacterRecognizer

    public XMLCharacterRecognizer()

Method Detail

### isWhiteSpace

    public static boolean isWhiteSpace(char ch)

  Returns whether the specified ch conforms to the XML 1.0 definition of whitespace. Refer to the definition of `S` for details.
  Parameters:
    `ch` - Character to check as XML whitespace.
  Returns:
    =true if ch is XML whitespace; otherwise =false.

### isWhiteSpace

    public static boolean isWhiteSpace(char[] ch,
                                       int start,
                                       int length)

  Tell if the string is whitespace.
  Parameters:
    `string` - String to be trimmed.
  Returns:
    The trimmed string.

### isWhiteSpace

    public static boolean isWhiteSpace(java.lang.StringBuffer buf)

  Tell if the string is whitespace.
  Parameters:
    `string` - String to be trimmed.
  Returns:
    The trimmed string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.